Bug 93287 - Opening particular files make IDE unsable
Opening particular files make IDE unsable
Status: VERIFIED FIXED
Product: ruby
Classification: Unclassified
Component: Code
6.x
All All
: P1 (vote)
: 6.x
Assigned To: issues@ide
issues@ruby
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-26 11:22 UTC by Martin Krauskopf
Modified: 2007-08-13 15:45 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
exceptions.txt (38.46 KB, text/plain)
2007-01-26 11:22 UTC, Martin Krauskopf
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Krauskopf 2007-01-26 11:22:03 UTC
build 242, Linux

1) Create new Ruby Project
2) Outside of NetBeans create ahoj.rb in the source root of the project you
   just created with the following content:
=====================
    #!/usr/bin/env ruby

    class A

      def aaa(other)
        $stderr.puts "other: #{other}"
      end

    end
=====================

3) Return to the IDE and open ahoj.rb

IDE becomes unusable due to still being thrown exception (attached).
Comment 1 Martin Krauskopf 2007-01-26 11:22:54 UTC
Created attachment 37709 [details]
exceptions.txt
Comment 2 Torbjorn Norbye 2007-01-26 17:39:55 UTC
This is "fixed" in build #243.  I fixed it by disabling lexing of Ruby code
within literal strings, which is what is causing the problem. That has been
working until recently; it is now throwing exceptions inside the editor/lexer
area. I need to work with the editor guys to figure out what changed and why. I
have filed a new issue, issue 93341, to track getting this functionality back,
but for now disabling highlighting seems like a good idea since it is much less
severe than an IDE with infinite exception looping.
Comment 3 Jiri Kovalsky 2007-07-03 14:12:50 UTC
Reassigning this issue to newly created 'ruby' component.
Comment 4 Jiri Kovalsky 2007-07-03 14:43:37 UTC
Changing target milestone of all resolved Ruby issues from TBD to 6.0 Beta 1 build.
Comment 5 Radim Roska 2007-08-13 15:45:29 UTC
VERIFIED


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo